﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;

public class EnterDoor : MonoBehaviour {

    public string sceneName;
    public GameObject player;
    public Transform[] spawnPoint;
    static int spawnPointIndex;

    //teleporting player when leaving back to the door they initially entered (to target)
    void OnLevelWasLoaded() {
        player.transform.position = spawnPoint[spawnPointIndex].position;
    }

    void OnTriggerEnter2D(Collider2D collider) {
        if (this.CompareTag("Church")) {
            spawnPointIndex = 0;
            Debug.Log("The index is:" + spawnPointIndex);
        }
        else if (this.CompareTag("Blacksmith")) {
            spawnPointIndex = 1;
            Debug.Log("The index is:" + spawnPointIndex);
        }
        else if (this.CompareTag("Arena")) {
            spawnPointIndex = 2;
            Debug.Log("The index is:" + spawnPointIndex);
        }

        if (collider.CompareTag("Player")) {
            if (Input.GetKeyDown("f")) {
                SceneManager.LoadScene(sceneName);
            }
        }
    }

    void OnTriggerStay2D(Collider2D collider) {
        if (collider.tag == "Player") {
            if (Input.GetKeyDown("f")) {
                SceneManager.LoadScene(sceneName);
            }
        }
    }

    void OnTriggerExit2D(Collider2D collider) {
        if (collider.tag == "Player") {

        }
    }

 
}
